List runs
curl --request GET \
--url https://api.stackone.com/v2/data_sync/runs \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.stackone.com/v2/data_sync/runs"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.stackone.com/v2/data_sync/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"page_size": 123,
"total": 123,
"data": [
{
"id": "<string>",
"account_id": "<string>",
"action_id": "<string>",
"sync_mode": "full",
"schedule_id": "<string>",
"status": "<string>",
"trigger_source": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z",
"synced_at": "2023-11-07T05:31:56Z",
"record_count": 123,
"record_stats": {
"created": 123,
"updated": 123,
"unchanged": 123,
"deleted": 123
},
"error": {
"message": "<string>",
"code": "<string>"
},
"workflow_id": "<string>"
}
]
}{
"statusCode": 400,
"message": "Bad Request",
"timestamp": "2023-05-30T00:00:00.000Z",
"data": {
"statusCode": 400,
"message": "Bad Request",
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
},
"provider_errors": [
{
"status": 400,
"url": "https://api.provider.com/v1/resource",
"raw": {
"message": "Invalid input parameters"
},
"headers": {
"content-type": "application/json",
"x-request-id": "5678c28b211dace4e0a0f9171e6b88c5"
}
}
]
}{
"statusCode": 401,
"message": "Unauthorized",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 403,
"message": "Forbidden resource",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 404,
"message": "Not Found",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 408,
"message": "Request timed out",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 409,
"message": "Conflict",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 422,
"message": "Unprocessable Entity",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 429,
"message": "Too many requests",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 500,
"message": "Internal server error",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 501,
"message": "Not Implemented",
"timestamp": "2023-05-30T00:00:00.000Z"
}{
"statusCode": 502,
"message": "Bad Gateway",
"timestamp": "2023-05-30T00:00:00.000Z"
}Returns the data-sync runs in the project. Runs are read-only: they are produced by the sync engine, never created directly.
GET
/
v2
/
data_sync
/
runs
List runs
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Filter to runs belonging to a specific schedule.
Example:
"sched_01HXYZ..."
Filter to runs for a specific linked account.
Example:
"acc_01HXYZ..."
Filter by run lifecycle status.
Available options:
running, success, failed, incomplete, null The 1-based page number to fetch. Omit both page and page_size to fetch all runs at once.
Required range:
x >= 1The number of runs to return per page.
Required range:
1 <= x <= 100Was this page helpful?
⌘I